Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8054355

ENFORCE_CC_COMPILER_REV needs to be updated to Solaris C++ 12u3 for JDK 9

    Details

    • Subcomponent:
    • Resolved In Build:
      b31
    • CPU:
      sparc
    • OS:
      solaris

      Backports

        Description

        The default compiler rev for JDK 9 needs to be updated for Solaris to 12u3/5.12. It is currently set to 5.10 and building with Solaris C++ 12u3 yields the following warning:

        WARNING: You are using CC version 5.12 and should be using version 5.10.
        Set ENFORCE_COMPILER_REV=5.12 to avoid this warning.
        WARNING: You are using cc version 5.12 and should be using version 5.10.
        Set ENFORCE_CC_COMPILER_REV=5.12 to avoid this warning.

        This should be updated in make/solaris/makefiles/sparcWorks.make

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  lfoltan Lois Foltan
                  Reporter:
                  lfoltan Lois Foltan
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  2 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: